import { Router } from 'express';
import auth from '../middlewares/auth.js';
import CategoryController from '../controllers/category.js';
import tryHandler from '../response/errorHandler.js';

const CategoryRouter = new Router();

CategoryRouter.post('/create', tryHandler(auth.authenticate), tryHandler(CategoryController.create));
CategoryRouter.post('/update', tryHandler(auth.authenticate), tryHandler(CategoryController.update));

export default CategoryRouter;